

Patch from Zwane Mwaikambo <zwane@linuxpower.ca>

Scale the buffer which is used for accumulating the /proc/interrupts output. 
On large SMP it overflows.



 fs/proc/proc_misc.c |    7 ++-----
 1 files changed, 2 insertions(+), 5 deletions(-)

diff -puN fs/proc/proc_misc.c~larger-proc-interrupts-buffer fs/proc/proc_misc.c
--- 25/fs/proc/proc_misc.c~larger-proc-interrupts-buffer	2003-03-07 20:20:49.000000000 -0800
+++ 25-akpm/fs/proc/proc_misc.c	2003-03-07 20:20:57.000000000 -0800
@@ -401,11 +401,8 @@ static int devices_read_proc(char *page,
 extern int show_interrupts(struct seq_file *p, void *v);
 static int interrupts_open(struct inode *inode, struct file *file)
 {
-	unsigned size = PAGE_SIZE;
-	/*
-	 * probably should depend on NR_CPUS, but that's only rough estimate;
-	 * if we'll need more it will be given,
-	 */
+	unsigned size = PAGE_SIZE + (PAGE_SIZE * (NR_CPUS / 32));
+
 	char *buf = kmalloc(size, GFP_KERNEL);
 	struct seq_file *m;
 	int res;

_
